SEAL< B > Struct Template Reference

SEAL More...

`#include <seal.h>`

Inheritance diagram for SEAL< B >:

## Public Types

typedef SymmetricCipherFinal < ConcretePolicyHolder < SEAL_Policy< B > , AdditiveCipherTemplate <> >, SEAL_Info< B > > | Encryption
typedef Encryption | Decryption

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t)

## Static Public Attributes

static const int | KEYLENGTH
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Detailed Description

### template<class B = BigEndian>
struct SEAL< B >

SEAL

Definition at line 36 of file seal.h.

The documentation for this struct was generated from the following file:

- seal.h